## org.exist.http.servlets
Interface Authenticator

All Known Implementing Classes:
  BasicAuthenticator, DigestAuthenticator

public interface Authenticator

Interface for HTTP authentication methods.

Author:
  wolf

Method Summary
`User` `authenticate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Try to authenticate the user specified in the HTTP request.
`void` `sendChallenge(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Send an WWW-Authenticate header back to client.

Method Detail

### authenticate

    public User authenticate(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws java.io.IOException

  Try to authenticate the user specified in the HTTP request.

  Parameters:
    `request` -
    `response` -
  Returns:
    The authenticated user or null if the user isn't autenticated
  Throws:
    `java.io.IOException`

### sendChallenge

    public void sendChallenge(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException

  Send an WWW-Authenticate header back to client.

  Parameters:
    `request` -
    `response` -
  Throws:
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.